# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=python-tomli
pkgver=2.0.1
pkgrel=2
pkgdesc="A lil' TOML parser"
arch=('x86_64')
url="https://github.com/hukkin/tomli"
license=('MIT')
depends=('python')
makedepends=('python-build' 'python-installer' 'python-flit-core')
source=(https://github.com/hukkin/tomli/archive/${pkgver}/${pkgname#*-}-${pkgver}.tar.gz)
sha256sums=(ad22dbc128623e0c156ffaff019f29f456eba8a5d5a05164dd34f63e560449df)

build() {
    cd ${pkgname#*-}-${pkgver}

    python3 -m build -wn
}

package() {
    cd ${pkgname#*-}-${pkgver}

    python -m installer -d ${pkgdir} dist/*.whl
}
